Bug 1657801 - slow login in plasma5 in screensaver related to kernel oops in 4.19.7-300.fc29
Summary: slow login in plasma5 in screensaver related to kernel oops in 4.19.7-300.fc29
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kerneloops
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-10 13:06 UTC by slartibart70
Modified: 2019-11-27 20:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:18:42 UTC


Attachments (Terms of Use)

Description slartibart70 2018-12-10 13:06:31 UTC
Description of problem:
Current kernel 4.19.7-300.fc29.x86_64 shows kernel oops when re-logging in in plasma5 after the screen-lockout was activated.

The symptoms were a very slow responsiveness in graphical gui of screensaver/login form. Even switching to VTs (textmode) was really slow after giving the account name. The login process took place finally but the system was very slow (sticky gui)

The culprit seemed to be this (found in journalctl after rebooting) on a lenovo t470 laptop:


Dec 10 13:00:18 T470 kernel: BUG: unable to handle kernel NULL pointer dereference at 0000000000000000
Dec 10 13:00:18 T470 kernel: PGD 0 P4D 0 
Dec 10 13:00:18 T470 kernel: Oops: 0000 [#1] SMP PTI
Dec 10 13:00:18 T470 kernel: CPU: 3 PID: 17328 Comm: (fprintd) Tainted: G           OE     4.19.7-300.fc29.x86_64 #1
Dec 10 13:00:18 T470 kernel: Hardware name: LENOVO 20J6003DGE/20J6003DGE, BIOS R0FET34W (1.14 ) 06/30/2017
Dec 10 13:00:18 T470 kernel: RIP: 0010:SMB2_close_free+0x8/0x10 [cifs]
Dec 10 13:00:18 T470 kernel: Code: 65 48 33 1c 25 28 00 00 00 75 09 48 83 c4 18 5b 5d 41 5c c3 e8 89 5a e4 f6 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00>
Dec 10 13:00:18 T470 kernel: RSP: 0018:ffffba2b4a957bb8 EFLAGS: 00010246
Dec 10 13:00:18 T470 kernel: RAX: 0000000000000000 RBX: ffff994d51cea800 RCX: 0000000000000000
Dec 10 13:00:18 T470 kernel: RDX: ffff994d51ced970 RSI: 0000000000000206 RDI: ffffba2b4a957d68
Dec 10 13:00:18 T470 kernel: RBP: ffffba2b4a957df0 R08: 0000000000000001 R09: 0000000000004175
Dec 10 13:00:18 T470 kernel: R10: 0000000000000000 R11: 00000c7b9065af5d R12: ffffba2b4a957c50
Dec 10 13:00:18 T470 kernel: R13: ffff994d658e0400 R14: ffff994d51ced800 R15: 0000000000000000
Dec 10 13:00:18 T470 kernel: FS:  00007f1aec4a1980(0000) GS:ffff994f414c0000(0000) knlGS:0000000000000000
Dec 10 13:00:18 T470 kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Dec 10 13:00:18 T470 kernel: CR2: 0000000000000000 CR3: 000000029f1c0001 CR4: 00000000003606e0
Dec 10 13:00:18 T470 kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Dec 10 13:00:18 T470 kernel: DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Dec 10 13:00:18 T470 kernel: Call Trace:
Dec 10 13:00:18 T470 kernel:  smb2_queryfs+0x168/0x360 [cifs]
Dec 10 13:00:18 T470 kernel:  ? flex_array_get_ptr+0x5/0x20
Dec 10 13:00:18 T470 kernel:  ? context_struct_compute_av+0x377/0x460
Dec 10 13:00:18 T470 kernel:  ? kmem_cache_alloc+0x166/0x1d0
Dec 10 13:00:18 T470 kernel:  ? avc_alloc_node+0x27/0x130
Dec 10 13:00:18 T470 kernel:  ? cifs_statfs+0xad/0x2d0 [cifs]
Dec 10 13:00:18 T470 kernel:  cifs_statfs+0xad/0x2d0 [cifs]
Dec 10 13:00:18 T470 kernel:  statfs_by_dentry+0x67/0x90
Dec 10 13:00:18 T470 kernel:  vfs_statfs+0x16/0xc0
Dec 10 13:00:18 T470 kernel:  user_statfs+0x54/0xa0
Dec 10 13:00:18 T470 kernel:  __do_sys_statfs+0x20/0x50
Dec 10 13:00:18 T470 kernel:  do_syscall_64+0x5b/0x160
Dec 10 13:00:18 T470 kernel:  entry_SYSCALL_64_after_hwframe+0x44/0xa9
Dec 10 13:00:18 T470 kernel: RIP: 0033:0x7f1aed0db98b
Dec 10 13:00:18 T470 kernel: Code: c3 66 0f 1f 44 00 00 48 8b 05 f9 24 0d 00 64 c7 00 16 00 00 00 b8 ff ff ff ff c3 0f 1f 40 00 f3 0f 1e fa b8 89 00>
Dec 10 13:00:18 T470 kernel: RSP: 002b:00007ffd98cd0508 EFLAGS: 00000246 ORIG_RAX: 0000000000000089
Dec 10 13:00:18 T470 kernel: RAX: ffffffffffffffda RBX: 0000563fb92d34a0 RCX: 00007f1aed0db98b
Dec 10 13:00:18 T470 kernel: RDX: 0000563fb90bc018 RSI: 00007ffd98cd0510 RDI: 0000563fb92d34a0
Dec 10 13:00:18 T470 kernel: RBP: 00007ffd98cd0510 R08: 0000563fb9395d20 R09: 0000000000000006
Dec 10 13:00:18 T470 kernel: R10: 00007ffd98cd0424 R11: 0000000000000246 R12: 00007ffd98cd05b0
Dec 10 13:00:18 T470 kernel: R13: 0000563fb9339b70 R14: 00007ffd98cd0690 R15: 0000000000000001
Dec 10 13:00:18 T470 kernel: Modules linked in: md4 sha512_ssse3 sha512_generic nls_utf8 cifs dns_resolver fscache xt_nat veth ccm uas usb_storage r>
Dec 10 13:00:18 T470 kernel:  snd_hda_codec_hdmi iwlmvm snd_hda_codec_realtek mac80211 mei_wdt iTCO_wdt snd_hda_codec_generic iTCO_vendor_support in>
Dec 10 13:00:18 T470 kernel: CR2: 0000000000000000
Dec 10 13:00:18 T470 kernel: ---[ end trace 2cf179898991d608 ]---
Dec 10 13:00:18 T470 kernel: RIP: 0010:SMB2_close_free+0x8/0x10 [cifs]
Dec 10 13:00:18 T470 kernel: Code: 65 48 33 1c 25 28 00 00 00 75 09 48 83 c4 18 5b 5d 41 5c c3 e8 89 5a e4 f6 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00>
Dec 10 13:00:18 T470 kernel: RSP: 0018:ffffba2b4a957bb8 EFLAGS: 00010246
Dec 10 13:00:18 T470 kernel: RAX: 0000000000000000 RBX: ffff994d51cea800 RCX: 0000000000000000
Dec 10 13:00:18 T470 kernel: RDX: ffff994d51ced970 RSI: 0000000000000206 RDI: ffffba2b4a957d68
Dec 10 13:00:18 T470 kernel: RBP: ffffba2b4a957df0 R08: 0000000000000001 R09: 0000000000004175
Dec 10 13:00:18 T470 kernel: R10: 0000000000000000 R11: 00000c7b9065af5d R12: ffffba2b4a957c50
Dec 10 13:00:18 T470 kernel: R13: ffff994d658e0400 R14: ffff994d51ced800 R15: 0000000000000000
Dec 10 13:00:18 T470 kernel: FS:  00007f1aec4a1980(0000) GS:ffff994f414c0000(0000) knlGS:0000000000000000
Dec 10 13:00:18 T470 kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Dec 10 13:00:18 T470 kernel: CR2: 0000000000000000 CR3: 000000029f1c0001 CR4: 00000000003606e0
Dec 10 13:00:18 T470 kernel: DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Dec 10 13:00:18 T470 kernel: DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Dec 10 13:00:18 T470 audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=fprintd comm="sys>
Dec 10 13:00:18 T470 systemd[1]: fprintd.service: Main process exited, code=killed, status=9/KILL
Dec 10 13:00:18 T470 systemd[1]: fprintd.service: Failed with result 'signal'.
Dec 10 13:00:18 T470 systemd[1]: Failed to start Fingerprint Authentication Daemon.


The problem could have to do (see cifs messages above) with a problematic unmount of a smb/cifs mount. A clean umount was not possible any more because of a lacking network connection (pulled cable) and was forced by a lazy "umount -l".

In this state everything seemed to react normal until the laptop was put to sleep and woken up again.

Final step: reboot beacuse of unresponsive system...

Comment 1 Ben Cotton 2019-10-31 20:20:27 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-11-27 20:18:42 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.